gentleknife / rpms / dbus

Forked from rpms/dbus 4 years ago
Clone

Blame SOURCES/0001-name-test-Don-t-run-test-autolaunch-if-we-don-t-have.patch

e3782d
From 116f212581c93dba56ce5bc7b3f28237b2940145 Mon Sep 17 00:00:00 2001
e3782d
From: Colin Walters <walters@verbum.org>
e3782d
Date: Thu, 18 Jul 2013 15:14:58 -0400
e3782d
Subject: [PATCH] name-test: Don't run test-autolaunch if we don't have dbus-launch
e3782d
e3782d
libdbus will look for its compiled-in path to find dbus-launch, and
e3782d
not find it when running in a buildroot that doesn't have dbus
e3782d
installed (the typical case for pbuilder/mock).
e3782d
---
e3782d
 test/name-test/run-test.sh |    6 +++++-
e3782d
 1 files changed, 5 insertions(+), 1 deletions(-)
e3782d
e3782d
diff --git a/test/name-test/run-test.sh b/test/name-test/run-test.sh
e3782d
index cad5937..0bb0aee 100755
e3782d
--- a/test/name-test/run-test.sh
e3782d
+++ b/test/name-test/run-test.sh
e3782d
@@ -57,4 +57,8 @@ elif ! $PYTHON $DBUS_TOP_SRCDIR/test/name-test/test-activation-forking.py; then
e3782d
 fi
e3782d
 
e3782d
 echo "running test-autolaunch"
e3782d
-${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-autolaunch || die "test-autolaunch failed"
e3782d
+if which dbus-launch 2>/dev/null; then
e3782d
+    ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-autolaunch || die "test-autolaunch failed"
e3782d
+else
e3782d
+    echo "Skipping test-autolaunch, no dbus-launch in $PATH"
e3782d
+fi
e3782d
-- 
e3782d
1.7.1
e3782d